Updating from 3.2.7 to 3.3.0

Get help with installation and running phpBB 3.3.x here. Please do not post bug reports, feature requests, or extension related questions here.
User avatar
Matthew gbr
Registered User
Posts: 14
Joined: Tue Mar 24, 2020 1:06 pm

Updating from 3.2.7 to 3.3.0

Post by Matthew gbr »

Hi All :D

I have been trying upgrade from my 3.2.7 version to 3.3.0 . When I go through the installation process however I am getting the error message (You are running an unsupported PHP version. Please upgrade to PHP 7.1.3 or higher before trying to install or update to phpBB 3.3)

I have checked my website settings and my php is set to 7.3, does this mean that its the wrong version for 3.3.0? If so then what can I do about this. My website php settings range from 5.3 to 7.4 .

I would appreciate any assistance.
Kind regards

Matthew
Last edited by Matthew gbr on Thu Mar 26, 2020 10:05 am, edited 1 time in total.

User avatar
janus_zonstraal
Registered User
Posts: 4215
Joined: Sat Aug 30, 2014 1:30 pm

Re: Upgrading from 3.2.7 to 3.3.0

Post by janus_zonstraal »

I have checked my website settings and my php is set to 7.3,
How did you check it?
Most likely you did use the wrong method, try the phpinfo file
https://mediatemple.net/community/produ ... o.php-page
Sorry! My English is bat ;) !!!

User avatar
warmweer
Jr. Extension Validator
Posts: 4287
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: Upgrading from 3.2.7 to 3.3.0

Post by warmweer »

stevemaury wrote:
Tue Mar 24, 2020 5:03 pm
What you are doing is an update, not an upgrade, and does not require going "through the installation process". What instructions are you following?
Agreed that there should be no "going through the installation process" but AFAIAC 3.2.7 >>> 3.3.0 is an upgrade (unless you're referring to php and not phpBB).
We should embrace problems, without which there wouldn't be any solutions.

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 51202
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: Upgrading from 3.2.7 to 3.3.0

Post by stevemaury »

Yes, I reversed update and upgrade, AND misread the OP. Will delete.
For REALLY good and VERY inexpensive hosting CLICK HERE

I can stop all your spam. I can upgrade or update your Board. PM or email me. (Paid support)

Cubguy501
Registered User
Posts: 87
Joined: Mon Feb 07, 2011 8:39 pm

Re: Upgrading from 3.2.7 to 3.3.0

Post by Cubguy501 »

7.3 should be fine. there should be a setting in your hosts control panel to set the PHP for the domain. set to 7.3.15

User avatar
Lumpy Burgertushie
Registered User
Posts: 67395
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: Upgrading from 3.2.7 to 3.3.0

Post by Lumpy Burgertushie »

I don't believe that phpbb 3.2.7 will work on php 7.3
If I am right about that, then the OP needs to have 3.2.7 running under php 7.2 or so for the upgrade and then they can upgrade php to 7.3 or 7.4.


robert
Last edited by Lumpy Burgertushie on Wed Mar 25, 2020 2:53 pm, edited 1 time in total.
I'm baaaaaccckkkk. still doing work on donation basis. PM your needs.

Premium phpBB 3.3 Styles by PlanetStyles.net

If nobody is in the forest, does a tree really fall?

User avatar
warmweer
Jr. Extension Validator
Posts: 4287
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: Upgrading from 3.2.7 to 3.3.0

Post by warmweer »

Lumpy Burgertushie wrote:
Wed Mar 25, 2020 3:53 am
I don't believe that phpbb 3.2.7 will work on php 7.3
If I am right about that, then the OP needs to have 3.0.14 running under php 7.2 or so for the upgrade and then they can upgrade php to 7.3 or 7.4.
3.2.7 won't run normally with php 7.3, but the upgrade to 3.3 does.

And there's no 3.0.14 in play here anyway (probably a confusion with another topic).
We should embrace problems, without which there wouldn't be any solutions.

User avatar
Lumpy Burgertushie
Registered User
Posts: 67395
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: Upgrading from 3.2.7 to 3.3.0

Post by Lumpy Burgertushie »

yep, thanks warmeer. I have corrected the post above.

robert
I'm baaaaaccckkkk. still doing work on donation basis. PM your needs.

Premium phpBB 3.3 Styles by PlanetStyles.net

If nobody is in the forest, does a tree really fall?

User avatar
Matthew gbr
Registered User
Posts: 14
Joined: Tue Mar 24, 2020 1:06 pm

Re: Upgrading from 3.2.7 to 3.3.0

Post by Matthew gbr »

Hi Guys :P


Thank you to everyone who has replied to my post.

I have tried various methods of "UPDATING" from 3.2.7 to 3.3.0.

The first was to go to the download page of 3.3.0 and try and manually updating.

The second was going to this link and download the automatic update package from here>
https://www.phpbb.com/downloads/3.3/upd ... sion=3.2.7

After following these instructions:I am still getting the error message about the wrong php version.
https://www.phpbb.com/support/docs/en/3 ... ating-32x/

I think it would help a lot of people if someone did a video of exactly how to do this.

Kind regards
Matthew

User avatar
Mick
Support Team Member
Support Team Member
Posts: 22325
Joined: Fri Aug 29, 2008 9:49 am
Location: Cardiff

Re: Updating from 3.2.7 to 3.3.0

Post by Mick »

In the previous post you point to the ‘auto-update’ package, you’re performing an upgrade not an update and so you should follow (very closely) the 3.3 Upgrade Guide

Please fill out the Support Request Template and post it back here to enable us to assist you better.
"The more connected we get the more alone we become" - Kyle Broflovski

Please read: “Am I In The Right Place?” before posting.

User avatar
Matthew gbr
Registered User
Posts: 14
Joined: Tue Mar 24, 2020 1:06 pm

Re: Updating from 3.2.7 to 3.3.0

Post by Matthew gbr »

Hi Mick

Thanks for that. I will take a look.

Regards
Matthew

User avatar
janus_zonstraal
Registered User
Posts: 4215
Joined: Sat Aug 30, 2014 1:30 pm

Re: Updating from 3.2.7 to 3.3.0

Post by janus_zonstraal »

After following these instructions:I am still getting the error message about the wrong php version.
Than update your php version or if you don't know, how ask host to do it.
Sorry! My English is bat ;) !!!

User avatar
Matthew gbr
Registered User
Posts: 14
Joined: Tue Mar 24, 2020 1:06 pm

Re: Updating from 3.2.7 to 3.3.0

Post by Matthew gbr »

Hi all this is my support message


Support Request Template
What version of phpBB are you using? phpBB 3.2.7
What is your board's URL? https://aazadipublications.co.uk/forums
Who do you host your board with? https://www.stackcp.com/
How did you install your board? I used the download package from phpBB.com
What is the most recent action performed on your board? Update from a previous version of phpBB3
Is registration required to reproduce this issue? No
Do you have any MODs installed? No
Do you have any extensions installed? Yes
What version of phpBB3 did you update from? phpBB 3.2.3
What extensions do you have installed? The original phpBB3 3.2.3 version was first installed from my host https://www.stackcp.com/ after that I updated it to 3.2.7.

Enabled Extensions

5-Star Topic RateKit

Advertisement Management

Ajax Chat

Avatars on Memberlist

Best Answer

Board Announcements

Copyright in footer

External Link In New Window

Forum Disclaimer

Google Search & Site Verification

Header Banner

Knowledge Base

Minecraft Avatar Extension - minotar.net API

Moods

National Flags

Normal and Special Ranks

phpBB Media Embed PlugIn

Profile Flair

Share On

Steam Status

Timezone Clock

Topic Solved

User ranks list

VigLink

Welcome back
What styles do you currently have installed? Prosilver active and (AcidTech deactivated)
What language(s) is your board currently using? English
Which database type/version are you using? MySQL 3
What is your level of experience? New to PHP and phpBB
What actions did you take (updating your board; installing a MOD, style or extension; etc.) prior to this problem becoming noticeable? I have tried various methods of "UPDATING" from 3.2.7 to 3.3.0.

The first was to go to the download page of 3.3.0 and try and manually updating.

The second was going to this link and download the automatic update package from here>
https://www.phpbb.com/downloads/3.3/upd ... sion=3.2.7

After following these instructions:I am still getting the error message about the wrong php version.
https://www.phpbb.com/support/docs/en/3 ... ating-32x/

I have checked my website settings and my php is set to 7.3, does this mean that its the wrong version for 3.3.0? If so then what can I do about this. My website php settings range from 5.3 to 7.4 .
Please describe your problem. I have not tried to disable any of the extensions during the update process.
Generated by SRT Generator

User avatar
warmweer
Jr. Extension Validator
Posts: 4287
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: Updating from 3.2.7 to 3.3.0

Post by warmweer »

Your board is running on php 7.3.15 so that's ok if you are running phpBB 3.3.0
However, It seems you are running phpBB 3.2.3 and and seeing the extensions you have installed, it shouldn't be 3.3.0 (I don't think all are 3.3.0 compatible). That's something you'll have to check yourself.

Another thing I noticed is that your board index is pointing to https://aazadipublications.co.uk/bb/index.php and the redirects to https://aazadipublications.co.uk/forums don't work properly (neither to the others).
Since all your files are in aazadipublications.co.uk/bb I don't see the use or need for /forums.

Not sure about the next thing but you are using https but I can't see cookie_secure set.
We should embrace problems, without which there wouldn't be any solutions.

User avatar
warmweer
Jr. Extension Validator
Posts: 4287
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: Updating from 3.2.7 to 3.3.0

Post by warmweer »

I think I've found the source of your problems. (there's still the extensions you'll have to check)
https://aazadipublications.co.uk/bb/index.php is using php 5.6.40 and is phpBB 3.2.3 (and the structure seems correct)
and
https://aazadipublications.co.uk/forums is using 7.3.15 and I can't make out which version that is. This /forums doesn't show me the normal phpBB file and directory dependencies so when upgrading I think it can't find the necessary files (e.g. /styles). It seems to be looking in the /bb area.

You'll need to rethink the structure in order to avoid having 2 versions of php and of phpBB being mixed.

Added: yes, your board index in the/forums is pointing to /bb
We should embrace problems, without which there wouldn't be any solutions.

Post Reply

Return to “[3.3.x] Support Forum”